Bug 609079 - Review Request: R-GenomicRanges - Representation and manipulation of genomic intervals
Summary: Review Request: R-GenomicRanges - Representation and manipulation of genomic ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Sandro Mathys
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-29 11:47 UTC by Pierre-YvesChibon
Modified: 2010-09-01 05:44 UTC (History)
3 users (show)

Fixed In Version: R-GenomicRanges-1.0.7-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-31 06:27:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sandro: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Pierre-YvesChibon 2010-06-29 11:47:08 UTC
Spec URL: 
 http://pingou.fedorapeople.org/RPMs/R-GenomicRanges.spec
SRPM URL: 
 http://pingou.fedorapeople.org/RPMs/R-GenomicRanges-1.0.5-1.fc13.src.rpm

Description: 
The ability to efficiently store genomic annotations and alignments is
playing a central role when it comes to analyze high-throughput sequencing
data (a.k.a. NGS data). The package defines general purpose containers for
storing genomic intervals as well as more specialized containers for
storing alignments against a reference genome.

Comment 1 Pierre-YvesChibon 2010-07-02 23:52:01 UTC
I have seen that the Requires and BuildRequires line is not perfect, I should replace the R to R-core on Requires and remove the R in the BuildRequires.

I will do this after the feed back from the reviewer.

Comment 2 Sandro Mathys 2010-07-14 07:37:23 UTC
Informal Review:

- URL should not be the same as Source0 (IMHO)
- dependencies instead of dependancies (i.e. type in comment)
- Source0 -> 404 error
- I'd suggest to end directories in %files with / to easily recognize what is a dir and what a file
- Scratch build fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2318242

Comment 3 Pierre-YvesChibon 2010-07-19 07:55:53 UTC
Update:
Spec URL: 
 http://pingou.fedorapeople.org/RPMs/R-GenomicRanges.spec
SRPM URL: 
 http://pingou.fedorapeople.org/RPMs/R-GenomicRanges-1.0.6-1.fc13.src.rpm


* Mon Jul 19 2010 pingou <pingou> 1.0.6-1
- Update to 1.0.6
- End directory by / in %%files
- Change URL
- Fix typo in the comment of check (dependencies)
- Add dependencie to R-IRanges-devel

Comment 4 Pierre-YvesChibon 2010-07-28 17:26:05 UTC
ping ?

Comment 5 Sandro Mathys 2010-07-29 07:44:18 UTC
I hate to say this, but 1.0.6 is outdated already again. I'm sorry it always takes me so long to start the review that upstream has the chance to push new versions.

btw. with ending directories with / I didn't only mean %dir but all directories like %doc %{rlibdir}/%{packname}/html or %{rlibdir}/%{packname}/Meta too. But that's still optional :)

Comment 6 Pierre-YvesChibon 2010-07-29 07:56:02 UTC
Update:
Spec URL: 
 http://pingou.fedorapeople.org/RPMs/R-GenomicRanges.spec
SRPM URL: 
 http://pingou.fedorapeople.org/RPMs/R-GenomicRanges-1.0.7-1.fc13.src.rpm


* Thu Jul 29 2010 pingou <pingou@pingoured.fr> 1.0.7-1
- Update to 1.0.7
- End directory by / in %%files

Comment 7 Sandro Mathys 2010-07-29 09:20:48 UTC
* Latest version packaged
45a675329669f420c16cb56ac02335a2680b9f29  GenomicRanges_1.0.7.tar.gz
45a675329669f420c16cb56ac02335a2680b9f29  /home/packager/rpmbuild/SOURCES/GenomicRanges_1.0.7.tar.gz
* sha1sum are equals
! Not all mandatory Requires are present

Please change R to R-core in the Provides. Also, in the BuildRequires it doesn't really make sense to have R and R-devel listed as R is simply a meta package for R-devel.

* All required BuildRequires are present
* The macro %check is present
* There is 1 %dir
  %dir is OK
* There is 3 %doc
  %doc is OK
* The rpm installed in _libdir
* The rpm uses %{_libdir} and is arch
* The rpm seems to have the required element in %install
LANG=C rpmbuild -ba /home/packager/rpmbuild/SPECS/R-GenomicRanges.spec > R-GenomicRanges.spec-build.log 2>&1
* Build properly under 2.6.32.16-141.fc12.i686.PAE
* rpmlint:
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Scratch build on koji for target f14
* Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2356597
   0 free  0 open  3 done  0 failed
   2356597 build (dist-f14, R-GenomicRanges-1.0.7-1.fc13.src.rpm) completed successfully

* Build is clean from warnings or errors
* All checks are passed
* License is OK

I trust you can fix the above before adding it to the CVS, therefore this is

APPROVED

Comment 8 Pierre-YvesChibon 2010-07-29 09:27:17 UTC
Thanks for the review Sandro.



New Package CVS Request
=======================
Package Name: R-GenomicRanges
Short Description: Representation and manipulation of genomic intervals
Owners: pingou
Branches: F-13 F-12
InitialCC:

Comment 9 Kevin Fenzi 2010-07-30 20:24:37 UTC
GIT done (by process-cvs-requests.py).

Also f14 branch added.

Comment 10 Fedora Update System 2010-08-17 06:51:00 UTC
R-GenomicRanges-1.0.7-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/R-GenomicRanges-1.0.7-1.fc13

Comment 11 Fedora Update System 2010-08-17 06:51:06 UTC
R-GenomicRanges-1.0.7-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/R-GenomicRanges-1.0.7-1.fc14

Comment 12 Fedora Update System 2010-08-17 19:36:55 UTC
R-GenomicRanges-1.0.7-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-GenomicRanges'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/R-GenomicRanges-1.0.7-1.fc14

Comment 13 Fedora Update System 2010-08-31 06:27:04 UTC
R-GenomicRanges-1.0.7-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-09-01 05:44:23 UTC
R-GenomicRanges-1.0.7-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.